import { Suspense } from "react";

import {
  AdvisersSection,
  AdvisersSectionSkeleton,
} from "@/components/domains/dashboard";
import { loadChatsList } from "@/entities/chats/loaders";
import { loadAssistants } from "@/entities/dashboard/loaders";

export default function Advisers() {
  return (
    <Suspense fallback={<AdvisersSectionSkeleton />}>
      <AdvisersSection
        promiseAssistants={loadAssistants()}
        promiseChats={loadChatsList()}
        gridDisplayMode="vertical"
      />
    </Suspense>
  );
}
